emacs-elpa-diffs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[elpa] master 23be0d3 272/433: * mmm-vars.el (mmm-save-local-variables):


From: Dmitry Gutov
Subject: [elpa] master 23be0d3 272/433: * mmm-vars.el (mmm-save-local-variables): Updated cc-mode local
Date: Thu, 15 Mar 2018 19:44:19 -0400 (EDT)

branch: master
commit 23be0d3292b26ae356f948a4454d66efb4c1efdf
Author: alanshutko <alanshutko>
Commit: alanshutko <alanshutko>

    * mmm-vars.el (mmm-save-local-variables): Updated cc-mode local
    variables.
    
    * Makefile.am (lisp_LISP): Removed mmm-php.el, since it doesn't
    appear to be in CVS.
    
    * missing: Updated for automake 1.7.9.
---
 ChangeLog   |  10 ++++
 Makefile.am |   2 +-
 missing     | 168 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++----
 mmm-vars.el |  88 +++++++++++++++++++++++++++++--
 4 files changed, 251 insertions(+), 17 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index 5e0b136..b1f04ec 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,13 @@
+2004-06-01  Alan Shutko  <address@hidden>
+
+       * mmm-vars.el (mmm-save-local-variables): Updated cc-mode local
+       variables.
+       
+       * Makefile.am (lisp_LISP): Removed mmm-php.el, since it doesn't
+       appear to be in CVS.
+
+       * missing: Updated for automake 1.7.9.
+
 2003-10-18  Alan Shutko  <address@hidden>
 
        * mmm-vars.el (mmm-save-local-variables): Add semantic stuff and
diff --git a/Makefile.am b/Makefile.am
index a6a7202..f350200 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -5,7 +5,7 @@
 lisp_LISP = mmm-compat.el mmm-vars.el mmm-utils.el mmm-auto.el \
   mmm-region.el mmm-class.el mmm-cmds.el mmm-mode.el \
   mmm-sample.el mmm-mason.el mmm-univ.el mmm-rpm.el mmm-cweb.el \
-  mmm-php.el mmm-noweb.el
+   mmm-noweb.el
 
 info_TEXINFOS = mmm.texinfo
 
diff --git a/missing b/missing
index 7789652..fc54c64 100755
--- a/missing
+++ b/missing
@@ -1,7 +1,7 @@
 #! /bin/sh
 # Common stub for a few missing GNU programs while installing.
-# Copyright (C) 1996, 1997 Free Software Foundation, Inc.
-# Franc,ois Pinard <address@hidden>, 1996.
+# Copyright (C) 1996, 1997, 1999, 2000, 2002, 2003 Free Software Foundation, 
Inc.
+# Originally by Fran,cois Pinard <address@hidden>, 1996.
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,11 +18,37 @@
 # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 # 02111-1307, USA.
 
+# As a special exception to the GNU General Public License, if you
+# distribute this file as part of a program that contains a
+# configuration script generated by Autoconf, you may include it under
+# the same distribution terms that you use for the rest of that program.
+
 if test $# -eq 0; then
   echo 1>&2 "Try \`$0 --help' for more information"
   exit 1
 fi
 
+run=:
+
+# In the cases where this matters, `missing' is being run in the
+# srcdir already.
+if test -f configure.ac; then
+  configure_ac=configure.ac
+else
+  configure_ac=configure.in
+fi
+
+case "$1" in
+--run)
+  # Try to run requested program, and just exit if it succeeds.
+  run=
+  shift
+  "$@" && exit 0
+  ;;
+esac
+
+# If it does not exist, or fails to run (possibly an outdated version),
+# try to emulate it.
 case "$1" in
 
   -h|--h|--he|--hel|--help)
@@ -35,6 +61,7 @@ error status if there is no known handling for PROGRAM.
 Options:
   -h, --help      display this help and exit
   -v, --version   output version information and exit
+  --run           try to run the given command, and emulate it if it fails
 
 Supported PROGRAM values:
   aclocal      touch file \`aclocal.m4'
@@ -43,13 +70,15 @@ Supported PROGRAM values:
   automake     touch all \`Makefile.in' files
   bison        create \`y.tab.[ch]', if possible, from existing .[ch]
   flex         create \`lex.yy.c', if possible, from existing .c
+  help2man     touch the output file
   lex          create \`lex.yy.c', if possible, from existing .c
   makeinfo     touch the output file
+  tar          try tar, gnutar, gtar, then tar without non-portable flags
   yacc         create \`y.tab.[ch]', if possible, from existing .[ch]"
     ;;
 
   -v|--v|--ve|--ver|--vers|--versi|--versio|--version)
-    echo "missing - GNU libit 0.0"
+    echo "missing 0.4 - GNU automake"
     ;;
 
   -*)
@@ -58,31 +87,46 @@ Supported PROGRAM values:
     exit 1
     ;;
 
-  aclocal)
+  aclocal*)
+    if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
+       # We have it, but it failed.
+       exit 1
+    fi
+
     echo 1>&2 "\
 WARNING: \`$1' is missing on your system.  You should only need it if
-         you modified \`acinclude.m4' or \`configure.in'.  You might want
+         you modified \`acinclude.m4' or \`${configure_ac}'.  You might want
          to install the \`Automake' and \`Perl' packages.  Grab them from
          any GNU archive site."
     touch aclocal.m4
     ;;
 
   autoconf)
+    if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
+       # We have it, but it failed.
+       exit 1
+    fi
+
     echo 1>&2 "\
 WARNING: \`$1' is missing on your system.  You should only need it if
-         you modified \`configure.in'.  You might want to install the
+         you modified \`${configure_ac}'.  You might want to install the
          \`Autoconf' and \`GNU m4' packages.  Grab them from any GNU
          archive site."
     touch configure
     ;;
 
   autoheader)
+    if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
+       # We have it, but it failed.
+       exit 1
+    fi
+
     echo 1>&2 "\
 WARNING: \`$1' is missing on your system.  You should only need it if
-         you modified \`acconfig.h' or \`configure.in'.  You might want
+         you modified \`acconfig.h' or \`${configure_ac}'.  You might want
          to install the \`Autoconf' and \`GNU m4' packages.  Grab them
          from any GNU archive site."
-    files=`sed -n 's/^[ ]*A[CM]_CONFIG_HEADER(\([^)]*\)).*/\1/p' configure.in`
+    files=`sed -n 's/^[ ]*A[CM]_CONFIG_HEADER(\([^)]*\)).*/\1/p' 
${configure_ac}`
     test -z "$files" && files="config.h"
     touch_files=
     for f in $files; do
@@ -95,10 +139,15 @@ WARNING: \`$1' is missing on your system.  You should only 
need it if
     touch $touch_files
     ;;
 
-  automake)
+  automake*)
+    if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
+       # We have it, but it failed.
+       exit 1
+    fi
+
     echo 1>&2 "\
 WARNING: \`$1' is missing on your system.  You should only need it if
-         you modified \`Makefile.am', \`acinclude.m4' or \`configure.in'.
+         you modified \`Makefile.am', \`acinclude.m4' or \`${configure_ac}'.
          You might want to install the \`Automake' and \`Perl' packages.
          Grab them from any GNU archive site."
     find . -type f -name Makefile.am -print |
@@ -106,6 +155,34 @@ WARNING: \`$1' is missing on your system.  You should only 
need it if
           while read f; do touch "$f"; done
     ;;
 
+  autom4te)
+    if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
+       # We have it, but it failed.
+       exit 1
+    fi
+
+    echo 1>&2 "\
+WARNING: \`$1' is needed, and you do not seem to have it handy on your
+         system.  You might have modified some files without having the
+         proper tools for further handling them.
+         You can get \`$1' as part of \`Autoconf' from any GNU
+         archive site."
+
+    file=`echo "$*" | sed -n 's/.*--output[ =]*\([^ ]*\).*/\1/p'`
+    test -z "$file" && file=`echo "$*" | sed -n 's/.*-o[ ]*\([^ ]*\).*/\1/p'`
+    if test -f "$file"; then
+       touch $file
+    else
+       test -z "$file" || exec >$file
+       echo "#! /bin/sh"
+       echo "# Created by GNU Automake missing as a replacement of"
+       echo "#  $ $@"
+       echo "exit 0"
+       chmod +x $file
+       exit 1
+    fi
+    ;;
+
   bison|yacc)
     echo 1>&2 "\
 WARNING: \`$1' is missing on your system.  You should only need it if
@@ -159,7 +236,37 @@ WARNING: \`$1' is missing on your system.  You should only 
need it if
     fi
     ;;
 
+  help2man)
+    if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
+       # We have it, but it failed.
+       exit 1
+    fi
+
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+        you modified a dependency of a manual page.  You may need the
+        \`Help2man' package in order for those modifications to take
+        effect.  You can get \`Help2man' from any GNU archive site."
+
+    file=`echo "$*" | sed -n 's/.*-o \([^ ]*\).*/\1/p'`
+    if test -z "$file"; then
+       file=`echo "$*" | sed -n 's/.*--output=\([^ ]*\).*/\1/p'`
+    fi
+    if [ -f "$file" ]; then
+       touch $file
+    else
+       test -z "$file" || exec >$file
+       echo ".ab help2man is required to generate this page"
+       exit 1
+    fi
+    ;;
+
   makeinfo)
+    if test -z "$run" && (makeinfo --version) > /dev/null 2>&1; then
+       # We have makeinfo, but it failed.
+       exit 1
+    fi
+
     echo 1>&2 "\
 WARNING: \`$1' is missing on your system.  You should only need it if
          you modified a \`.texi' or \`.texinfo' file, or any other file
@@ -175,12 +282,51 @@ WARNING: \`$1' is missing on your system.  You should 
only need it if
     touch $file
     ;;
 
+  tar)
+    shift
+    if test -n "$run"; then
+      echo 1>&2 "ERROR: \`tar' requires --run"
+      exit 1
+    fi
+
+    # We have already tried tar in the generic part.
+    # Look for gnutar/gtar before invocation to avoid ugly error
+    # messages.
+    if (gnutar --version > /dev/null 2>&1); then
+       gnutar "$@" && exit 0
+    fi
+    if (gtar --version > /dev/null 2>&1); then
+       gtar "$@" && exit 0
+    fi
+    firstarg="$1"
+    if shift; then
+       case "$firstarg" in
+       *o*)
+           firstarg=`echo "$firstarg" | sed s/o//`
+           tar "$firstarg" "$@" && exit 0
+           ;;
+       esac
+       case "$firstarg" in
+       *h*)
+           firstarg=`echo "$firstarg" | sed s/h//`
+           tar "$firstarg" "$@" && exit 0
+           ;;
+       esac
+    fi
+
+    echo 1>&2 "\
+WARNING: I can't seem to be able to run \`tar' with the given arguments.
+         You may want to install GNU tar or Free paxutils, or check the
+         command line arguments."
+    exit 1
+    ;;
+
   *)
     echo 1>&2 "\
 WARNING: \`$1' is needed, and you do not seem to have it handy on your
          system.  You might have modified some files without having the
          proper tools for further handling them.  Check the \`README' file,
-         it often tells you about the needed prerequirements for installing
+         it often tells you about the needed prerequisites for installing
          this package.  You may also peek at any GNU archive site, in case
          some other package would contain this missing \`$1' program."
     exit 1
diff --git a/mmm-vars.el b/mmm-vars.el
index df08d6a..b023cc3 100644
--- a/mmm-vars.el
+++ b/mmm-vars.el
@@ -1,9 +1,9 @@
 ;;; mmm-vars.el --- Variables for MMM Mode
 
-;; Copyright (C) 2000 by Michael Abraham Shulman
+;; Copyright (C) 2000, 2004 by Michael Abraham Shulman
 
 ;; Author: Michael Abraham Shulman <address@hidden>
-;; Version: $Id: mmm-vars.el,v 1.54 2003/10/19 01:17:12 alanshutko Exp $
+;; Version: $Id: mmm-vars.el,v 1.55 2004/06/01 14:42:49 alanshutko Exp $
 
 ;;{{{ GPL
 
@@ -144,27 +144,44 @@
     ;; These have to be localized in Emacs: see `mmm-mode-on'.
     ,@(mapcar
        #'(lambda (var) (list var nil mmm-c-derived-modes))
-       '(c-any-class-key
+       '(c++-template-syntax-table
+        c-<-op-cont-regexp 
+        c->-op-cont-regexp 
+        c-after-suffixed-type-decl-key
+        c-after-suffixed-type-maybe-decl-key
+        c-any-class-key
+        c-any-class-key 
         c-asm-stmt-kwds
+        c-assignment-op-regexp
         c-backslash-column
         c-basic-offset
         c-bitfield-kwds
         c-block-comment-prefix
         c-block-decls-with-vars
         c-block-stmt-1-key
+        c-block-stmt-1-key 
         c-block-stmt-1-kwds
         c-block-stmt-2-key
+        c-block-stmt-2-key 
         c-block-stmt-2-kwds
+        c-brace-list-key 
+        c-cast-parens 
         c-class-key
+        c-class-key 
         c-class-kwds
         c-cleanup-list
+        c-colon-type-list-re 
         c-comment-only-line-offset
         c-comment-prefix-regexp
         c-comment-start-regexp
-        c-current-comment-prefix
+        c-comment-start-regexp 
         c-cpp-defined-fns
+        c-current-comment-prefix
         c-decl-block-key
+        c-decl-block-key 
+        c-decl-prefix-re 
         c-decl-spec-kwds
+        c-doc-comment-start-regexp
         c-expr-kwds
         c-file-offsets
         c-file-style
@@ -173,6 +190,11 @@
         c-hanging-comment-ender-p
         c-hanging-comment-starter-p
         c-hanging-semi\&comma-criteria
+        c-identifier-key 
+        c-identifier-last-sym-match
+        c-identifier-start 
+        c-identifier-syntax-modifications
+        c-identifier-syntax-table
         c-in-comment-lc-prefix
         c-indent-comment-alist
         c-indent-comments-syntactically-p
@@ -180,36 +202,92 @@
         c-inexpr-block-kwds
         c-inexpr-class-kwds
         c-keywords
+        c-keywords-obarray
         c-keywords-regexp
+        c-keywords-regexp 
+        c-known-type-key
         c-label-key
+        c-label-key 
         c-label-kwds
         c-label-kwds-regexp
+        c-label-kwds-regexp 
         c-label-minimum-indentation
         c-lambda-kwds
+        c-literal-start-regexp 
+        c-nonsymbol-chars 
+        c-nonsymbol-token-regexp
+        c-not-decl-init-keywords
         c-offsets-alist
+        c-opt-<>-arglist-start 
+        c-opt-<>-arglist-start-in-paren
+        c-opt-<>-sexp-key 
         c-opt-access-key
+        c-opt-access-key 
         c-opt-asm-stmt-key
+        c-opt-asm-stmt-key 
         c-opt-bitfield-key
+        c-opt-bitfield-key 
         c-opt-block-decls-with-vars-key
         c-opt-block-stmt-key
+        c-opt-block-stmt-key 
+        c-opt-cpp-prefix 
+        c-opt-cpp-start 
         c-opt-decl-spec-key
         c-opt-friend-key
+        c-opt-friend-key 
+        c-opt-identifier-concat-key
         c-opt-inexpr-block-key
+        c-opt-inexpr-block-key 
+        c-opt-inexpr-brace-list-key
         c-opt-inexpr-class-key
+        c-opt-inexpr-class-key 
         c-opt-lambda-key
+        c-opt-lambda-key 
         c-opt-method-key
+        c-opt-method-key 
+        c-opt-postfix-decl-spec-key
+        c-opt-type-component-key
+        c-opt-type-concat-key 
+        c-opt-type-modifier-key 
+        c-opt-type-suffix-key 
         c-other-decl-block-key
+        c-other-decl-block-key 
         c-other-decl-block-kwds
         c-other-decl-kwds
+        c-overloadable-operators-regexp
+        c-paragraph-separate 
+        c-paragraph-start 
+        c-paren-stmt-key 
+        c-primary-expr-regexp 
+        c-primitive-type-key 
         c-primitive-type-kwds
         c-protection-kwds
+        c-recognize-<>-arglists 
         c-recognize-knr-p
+        c-recognize-knr-p 
+        c-recognize-paren-inits 
+        c-recognize-typeless-decls
+        c-regular-keywords-regexp
+        c-simple-stmt-key 
         c-simple-stmt-kwds
         c-special-brace-lists
+        c-special-brace-lists 
+        c-specifier-key 
         c-specifier-kwds
+        c-stmt-delim-chars 
+        c-stmt-delim-chars-with-comma
         c-symbol-key
+        c-symbol-key 
+        c-symbol-start 
         c-syntactic-eol
-        ))
+        c-syntactic-ws-end 
+        c-syntactic-ws-start 
+        c-type-decl-prefix-key 
+        c-type-decl-suffix-key 
+        c-type-prefix-key 
+        comment-end 
+        comment-start 
+        comment-start-skip))
     ;; Skeleton insertion
     skeleton-transformation
     ;; Abbrev mode



reply via email to

[Prev in Thread] Current Thread [Next in Thread]